<?php
include_once 'db_functions.php';

// array for JSON response
$response = array();

if (isset($_POST['code'])) {

    $db = new DB_Functions();
    $users = $db->getParty($_POST['user']);
 
    if (count($users) > 0) { 
        $response["products"] = array();
        for ($i = 0; $i < count($users); $i++) {
            $row = $users[$i];
            $product = array(); 
            $product["name"] = $row["Name"];
            $product["code"] = $row["Code"];
            $product["balance"] = ($row["Opening"] === null ? "0" : $row["Opening"]);
            $product["mobileno"] = $row["Ph"];
            $product["cst_no"] = $row["CstNo"];
            $product["gst_no"] = $row["TinNo"];
            $product["address1"] = $row["Address1"];
            $product["address2"] = $row["Address2"];
            // push single product into final response array
            array_push($response["products"], $product);
        }
        // success
        $response["success"] = 1;
        // echoing JSON response
        echo json_encode($response, JSON_UNESCAPED_UNICODE);
    } else {
        // no products found
        $response["success"] = 0;
        $response["message"] = "No party found";
        // echo no users JSON
        echo json_encode($response);
    }
} else {
// required field is missing
    $response["success"] = 0;
    $response["message"] = "Required field(s) is missing";

    // echoing JSON response
    echo json_encode($response);
}
?>
