<?php
include_once 'db_functions.php';

// array for JSON response
$response = array();

if (isset($_POST['code'])) {

    $db = new DB_Functions();
    $users = $db->getProducts($_POST['godown']);
    
    if (count($users) > 0) {
        $response["products"] = array();
        
        for($i=0;$i<count($users);$i++) {
            $product = array();
             $product["itemname"] = $users[$i]["ItemNameTextField"];
            $product["itemcode"] = $users[$i]["NewItemCode"];
           // $product["stock"] = $users[$i]["qty"];
            $product["stock"] = $users[$i]["curr_stock"];

            $product["base_unit"] = $users[$i]["Typ"];
            $product["sec_unit"] = $users[$i]["SecUnit"];

            $product["category"] = $users[$i]["Size"];
            $product["tax"] = $users[$i]["Tax1"];
            $product["img"] = "noimage";

            $product["base_rate_retail"] = $users[$i]["Rate1"];
            $product["base_rate_wholesale"] = $users[$i]["Rate2"];

            $product["sec_rate_retail"] = $users[$i]["SecRetailRate"];
            ;
            $product["sec_rate_wholesale"] = $users[$i]["SecWholesaleRate"];

            $product["qty_in_pack"] = $users[$i]["Pack"];
            $product["Company"] = $users[$i]["Company"];

            // push single product into final response array
            array_push($response["products"], $product);
        }
        // success
        $response["success"] = 1;
        // echoing JSON response
//        print_r($response);
        echo json_encode($response,JSON_UNESCAPED_UNICODE);
    } else {
        // no products found
        $response["success"] = 0;
        $response["message"] = "No Products found";
        // echo no users JSON
        echo json_encode($response);
    }
} else {
// required field is missing
    $response["success"] = 0;
    $response["message"] = "Required field(s) is missing";

    // echoing JSON response
    echo json_encode($response);
}
?>
